Create manual percentage-based allocation policy
1 min
POST
https://app.amberflo.io/business-unit/focus-allocation/manual
Body Parameters
- bodybusiness_unit.focus_allocation.manual.ManualFocusAllocationPolicy.inDescription
- providerfocus.common.FocusProvider.inrequiredDescription
- servicestringrequiredDescription
- policybusiness_unit.focus_allocation.manual.rules.SimpleDistributionRule.inrequiredDescription
- typestringrequiredDescriptionDefaultsimple_distribution
- allocationsmap<string, number>requiredDescription
- startTimeInSecondsinteger<int64>requiredDescription
- endTimeInSecondsinteger<int64>Description
Responses
200
- business_unit.focus_allocation.manual.ManualFocusAllocationPolicy.outDescription
- providerfocus.common.FocusProvider.outrequiredDescription
- servicestringrequiredDescription
- policybusiness_unit.focus_allocation.manual.rules.SimpleDistributionRule.outrequiredDescription
- typestringrequiredDescriptionDefaultsimple_distribution
- allocationsmap<string, number>requiredDescription
- startTimeInSecondsinteger<int64>requiredDescription
- endTimeInSecondsinteger<int64>Description
- createTimeInMillisinteger<int64>Description
- updateTimeInMillisinteger<int64>Description
curl
curl --request POST \
--url https://app.amberflo.io/business-unit/focus-allocation/manual \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"provider": "",
"service": "",
"policy": {
"type": "simple_distribution",
"allocations": ""
},
"startTimeInSeconds": 0
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"provider": "",
"service": "",
"policy": {
"type": "simple_distribution",
"allocations": ""
},
"startTimeInSeconds": 0
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://app.amberflo.io/business-unit/focus-allocation/manual", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/business-unit/focus-allocation/manual")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"provider": "",
"service": "",
"policy": {
"type": "simple_distribution",
"allocations": ""
},
"startTimeInSeconds": 0
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/business-unit/focus-allocation/manual"
payload = json.dumps({
"provider": "",
"service": "",
"policy": {
"type": "simple_distribution",
"allocations": ""
},
"startTimeInSeconds": 0
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Successful request
{
"provider": "",
"service": "",
"policy": {
"type": "",
"allocations": ""
},
"startTimeInSeconds": "",
"endTimeInSeconds": "",
"createTimeInMillis": "",
"updateTimeInMillis": ""
}